Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5805 - kudzu service die
Summary: kudzu service die
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-10 14:46 UTC by kronnos
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-02 02:41:01 UTC


Attachments (Terms of Use)

Description kronnos 1999-10-10 14:46:36 UTC
Seems like the kudzu service program get confused when it
try to detect, ATAPI Equipment, runing SCSI Emulation
mode...

I have a CD-ROM Memorex CD-322E and a CRW-1622 runing in my
machine......

Everything where detected until, the CRW-1622 where
connected as a SCSI device... (with the append =
"hdd=ide-scsi" option inside the lilo.)

Comment 1 Bill Nottingham 1999-10-11 14:31:59 UTC
Does it segfault, or does it do something else strange?

------- Additional Comments From   10/11/99 23:11 -------
Yes... it does Segfault.  and a core dump.

Comment 2 Bill Nottingham 1999-10-12 03:30:59 UTC
OK, can you get a backtrace out of the core dump, or
is the stack smashed?

Comment 3 kronnos 1999-10-12 19:04:59 UTC
How do I do a backtrace?

Comment 4 Bill Nottingham 1999-10-12 21:29:59 UTC
Run:

gdb /usr/sbin/kudzu <core file>

and then type

bt

at the gdb prompt.

Comment 5 Bill Nottingham 2000-02-02 02:41:59 UTC
Closed, lack of input. If you happen to be using a custom kernel that
does not have IEEE 1284 parallel port autoprobe information enabled,
the kudzu that shipped with 6.1 *will* segfault. This has been fixed
in the current kudzu in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.